Module org.jfree.chart3d
Package org.jfree.chart3d.marker

# Interface ValueMarker

All Superinterfaces:
  `ChartElement`, `Marker`

All Known Implementing Classes:
  `NumberMarker`, `RangeMarker`

public interface ValueMarker extends Marker
A marker that can be used to mark a value or range of values on a `ValueAxis3D`.

Since:
  1.2

## Field Summary

### Fields inherited from interface org.jfree.chart3d.marker.Marker

`DEFAULT_FILL_COLOR, DEFAULT_LABEL_COLOR, DEFAULT_LINE_COLOR, DEFAULT_LINE_STROKE, DEFAULT_MARKER_FONT`

## Method Summary

Modifier and Type
Method
Description
`Range`
`getRange()`
Returns the range of values covered by the marker.

### Methods inherited from interface org.jfree.chart3d.ChartElement

`receive`

### Methods inherited from interface org.jfree.chart3d.marker.Marker

`addChangeListener, draw, removeChangeListener`

## Method Details

### getRange

Range getRange()
Returns the range of values covered by the marker. If the marker represents a single value rather than a range of values, then the range that is returned will have zero length.

Returns:
  The range (never `null`).